# Name of app
app_name: Epic Inferno

# Base path of application
# There are a few exceptions, such as "/" and "/landing".
base_path: "inferno"

# Useful during development to purge the database on each reload
purge_database_on_reload: false

# Disable peer SSL verification for environments that use SSL inspection
disable_verify_peer: false

# When running in a docker container, we have to listen to other than just 'localhost' which is the default
bind: '0.0.0.0'

# Omit TLS tests
disable_tls_tests: false

# Default scopes
default_scopes: launch user/*.read openid fhirUser offline_access

# Log Level: unkown, fatal, error, warn, info, debug
log_level: info

# Log to file
log_to_file: false

# Logging enabled?
logging_enabled: true

# Automatically Run Conformance Sequence on new server create
autorun_capability: false

# Include extra tests: true or false
include_extras: true

badge_text: PROGRAM EDITION

# Resource validator options: must be one of "internal" or "external". external_resource_validator_url is only used if resource_validator is set to external.
resource_validator: external
external_resource_validator_url: http://validator_service:4567

# module options: one or more must be set.  The first option in the list will be checked by default
modules:
  - onc_program

disable_bulk_data_require_access_token_test: false

bulk_data_jwks:
  keys:
    - kty: EC
      crv: P-384
      x: JQKTsV6PT5Szf4QtDA1qrs0EJ1pbimQmM2SKvzOlIAqlph3h1OHmZ2i7MXahIF2C
      y: bRWWQRJBgDa6CTgwofYrHjVGcO-A7WNEnu4oJA5OUJPPPpczgx1g2NsfinK-D2Rw
      key_ops:
        - verify
      ext: true
      kid: 4b49a739d1eb115b3225f4cf9beb6d1b
      alg: ES384
    - kty: EC
      crv: P-384
      d: kDkn55p7gryKk2tj6z2ij7ExUnhi0ngxXosvqa73y7epwgthFqaJwApmiXXU2yhK
      x: JQKTsV6PT5Szf4QtDA1qrs0EJ1pbimQmM2SKvzOlIAqlph3h1OHmZ2i7MXahIF2C
      y: bRWWQRJBgDa6CTgwofYrHjVGcO-A7WNEnu4oJA5OUJPPPpczgx1g2NsfinK-D2Rw
      key_ops:
        - sign
      ext: true
      kid: 4b49a739d1eb115b3225f4cf9beb6d1b
      alg: ES384
    - kty: RSA
      alg: RS384
      n: vjbIzTqiY8K8zApeNng5ekNNIxJfXAue9BjoMrZ9Qy9m7yIA-tf6muEupEXWhq70tC7vIGLqJJ4O8m7yiH8H2qklX2mCAMg3xG3nbykY2X7JXtW9P8VIdG0sAMt5aZQnUGCgSS3n0qaooGn2LUlTGIR88Qi-4Nrao9_3Ki3UCiICeCiAE224jGCg0OlQU6qj2gEB3o-DWJFlG_dz1y-Mxo5ivaeM0vWuodjDrp-aiabJcSF_dx26sdC9dZdBKXFDq0t19I9S9AyGpGDJwzGRtWHY6LsskNHLvo8Zb5AsJ9eRZKpnh30SYBZI9WHtzU85M9WQqdScR69Vyp-6Uhfbvw
      e: AQAB
      key_ops:
        - verify
      ext: true
      kid: b41528b6f37a9500edb8a905a595bdd7
    - kty: RSA
      alg: RS384
      n: vjbIzTqiY8K8zApeNng5ekNNIxJfXAue9BjoMrZ9Qy9m7yIA-tf6muEupEXWhq70tC7vIGLqJJ4O8m7yiH8H2qklX2mCAMg3xG3nbykY2X7JXtW9P8VIdG0sAMt5aZQnUGCgSS3n0qaooGn2LUlTGIR88Qi-4Nrao9_3Ki3UCiICeCiAE224jGCg0OlQU6qj2gEB3o-DWJFlG_dz1y-Mxo5ivaeM0vWuodjDrp-aiabJcSF_dx26sdC9dZdBKXFDq0t19I9S9AyGpGDJwzGRtWHY6LsskNHLvo8Zb5AsJ9eRZKpnh30SYBZI9WHtzU85M9WQqdScR69Vyp-6Uhfbvw
      e: AQAB
      d: rriV9GYimi5by7TOW4xNh6_gYBHVRDBsft2OFF8qapdVHt2GNuRDDxc_B6ga6TY2Enh2MLKLTr1dD3W4FIdTCJiMerrorp07FJS7nJEMgWQDxrfgkX4_EqrhW42L5d4vypYnRXEEW6u4gzkx5uFOkdvJBIK7CsIdSaBFYhochnynNgvbKWasi4rl2hayEH8tdf3B7Z6OIH9alspBTaq3j_zJt_KkrpYEzIUb4UgALB5NTWn5YKr0Avk_asOg8YfjViQwO9ASGaWjQeJ2Rx8OEQwBMQHSDMCSWNiWmYOu9PcwSZFc1vLxqzyIM8QrQSJHCCMo_wGYgke_r0CLeONHEQ
      p: 5hH_QApWGeobRi1n7XbMfJYohB8K3JDPa0MspfplHpJ-17JiGG2sNoBdBcpaPRf9OX48P8VqO0qrSSRAk-I-uO6OO9BHbIukXJILqnY2JmurYzbcYbt5FVbknlHRJojkF6-7sFBazpueUlOnXCw7X7Z_SkfNE4QX5Ejm2Zm5mek
      q: 06bZz7c7K9s1-aEZsxYnLJ9eTpKlt1tIBDA_LwIh5W3w259pes2kUtimbnkyOf-V2ZIERsFCh5s-S9IOEMvAIa6M5j9GW1ILNT7AcHIUfcyFcH-FF8BU_KJdRP5PXnIXFdYcylvsdoIdchy1AaUIzyiKRCU3HBYI75hez0l_F2c
      dp: h_sVIXW6hCCRND48EedIX06k7conMkxIu_39ErDXOWWeoMAnKIcR5TijQnviL__QxD1vQMXezuKIMHfDz2RGbClbWdD1lhtG7wvG515tDPJQXxia0wzqOQmdoFF9S8hXAAT26vPjaAAkaEZXQaxG_4Au5elgNWu6b0wDXZN1Vpk
      dq: GqS0YpuUTU8JGmWXUJ4HTGy7eHSpe8134V8ZdRd1oOYYHe2RX64nc25mdR24nuh3uq3Q7_9AGsYGL5E_yAl-JD9O6WUpvDE1y_wcSYty3Os0GRdUb8r8Z9kgmKDS6Pa_xTXw5eBwgfKbNlQ6zPwzgbB-x1lP-K8lbNPni3ybDR0
      qi: cqQfoi0sM5Su8ZOhznmdWrDIQB28H6fBKiabgaIKkbWZV4e0nwFvLquHjPOvv4Ao8iEGU5dyhvg0n5BKYPi-4mp6M6OA1sy0NrTr7EsKSYGyu2pBq9rw4oAYTM2LXKg6K-awgUUlkc451IwxHBAe15PWCBM3kvLQeijNid0Vz5I
      key_ops:
        - sign
      ext: true
      kid: b41528b6f37a9500edb8a905a595bdd7

    
# preset fhir servers: optional. Minimally requires name, uri, module, optional inferno_uri, client_id, client_secret, scopes, instructions link
presets:
  localhost_reference_server:
    inferno_uri: http://localhost:4567
    name: Inferno Reference Server
    uri: https://inferno.healthit.gov/reference-server/r4
    module: onc_program
    client_id: SAMPLE_CONFIDENTIAL_CLIENT_ID
    confidential_client: true
    client_secret: SAMPLE_CONFIDENTIAL_CLIENT_SECRET
    onc_sl_url: https://inferno.healthit.gov/reference-server/r4
    onc_sl_client_id: SAMPLE_CONFIDENTIAL_CLIENT_ID
    onc_sl_confidential_client: true
    onc_sl_client_secret: SAMPLE_CONFIDENTIAL_CLIENT_SECRET
    onc_public_client_id: SAMPLE_PUBLIC_CLIENT_ID
    patient_ids: "76,185"
